Subject: Re: [PATCH 3/20][BNX2]: Add 40-bit DMA workaround for 5708.

From: Christoph Hellwig <[email-masked]>
Date: Wed, 2 May 2007 23:48:58 +0100

On Wed, May 02, 2007 at 01:02:41PM -0700, Michael Chan wrote:
> Let's say I have a 32-bit card that cannot do dual address cycle on a
> 64-bit dma_addr_t system without IOMMU.  If CONFIG_HIGHMEM is not set,
> wouldn't the device get > 32-bit DMA addresses that it cannot handle?

It needs to set it's dma mask to 32bits and the upper layers (net, block)
will do the bouncing for it.